Bug 520236 - pinentry-gtk -g segfaults on focus change
Summary: pinentry-gtk -g segfaults on focus change
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pinentry
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 587305
TreeView+ depends on / blocked
 
Reported: 2009-08-29 14:06 UTC by Jón Fairbairn
Modified: 2010-05-17 18:51 UTC (History)
2 users (show)

Fixed In Version: pinentry-0.8.0-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 587305 (view as bug list)
Environment:
Last Closed: 2010-05-06 07:00:03 UTC


Attachments (Terms of Use)
bug-buddy dump (267.39 KB, text/plain)
2009-08-29 14:06 UTC, Jón Fairbairn
no flags Details

Description Jón Fairbairn 2009-08-29 14:06:33 UTC
Created attachment 359154 [details]
bug-buddy dump

Description of problem:
as summary

Version-Release number of selected component (if applicable):
pinentry-0.7.6-1.fc11.x86_64
pinentry-gtk-0.7.6-1.fc11.x86_64


How reproducible:
reliably

Steps to Reproduce:
1. echo getpin | pinentry-gtk -g
2. move mouse cursor in and out of the dbox
3.
  
Actual results:
segfault

Expected results:
Nothing so exciting

Additional info:
Attached output from bug reporting tool.

Comment 1 Rex Dieter 2009-08-29 17:12:36 UTC
confirmed.  Well, for me it takes me clicking another window to get the crash, not just moving the cursor.

Using without -g, no crash.

Comment 2 Jón Fairbairn 2009-08-30 15:05:38 UTC
Presumably you have your wm set to click to focus. I have mine set to follow the mouse; probably should have mentioned that.

Comment 3 Jón Fairbairn 2010-01-13 17:26:52 UTC
Still present in Fedora 12.
(click another window if you don't have focus-follows-mouse)

pinentry-0.7.6-4.fc12.i686
pinentry-gtk-0.7.6-4.fc12.i686

Comment 4 Fedora Update System 2010-04-19 17:00:44 UTC
pinentry-0.7.6-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pinentry-0.7.6-5.fc13

Comment 5 Fedora Update System 2010-04-19 17:01:19 UTC
pinentry-0.7.6-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.7.6-5.fc12

Comment 6 Fedora Update System 2010-04-21 02:22:22 UTC
pinentry-0.7.6-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.7.6-5.fc13

Comment 7 Fedora Update System 2010-04-21 02:24:48 UTC
pinentry-0.7.6-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.7.6-5.fc12

Comment 8 Jón Fairbairn 2010-04-21 09:09:20 UTC
The update appears to correct the issue.

Comment 9 Fedora Update System 2010-04-28 18:47:05 UTC
pinentry-0.8.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc13

Comment 10 Fedora Update System 2010-04-28 18:47:12 UTC
pinentry-0.8.0-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc12

Comment 11 Fedora Update System 2010-04-30 17:10:23 UTC
pinentry-0.8.0-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-1.fc12

Comment 12 Fedora Update System 2010-04-30 23:37:37 UTC
pinentry-0.8.0-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pinentry'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc13

Comment 13 Fedora Update System 2010-05-06 06:59:49 UTC
pinentry-0.8.0-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2010-05-10 07:52:18 UTC
pinentry-0.8.0-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pinentry-0.8.0-2.fc12

Comment 15 Fedora Update System 2010-05-17 18:51:29 UTC
pinentry-0.8.0-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.